petsc-3.4.2 2013-07-02

# PetscViewerDrawGetDrawAxis

Returns PetscDrawAxis object from PetscViewer object. This PetscDrawAxis object may then be used to perform graphics using PetscDrawAxisXXX() commands.

### Synopsis

    #include "petscdraw.h"
    #include "petscviewer.h"
    PetscErrorCode  PetscViewerDrawGetDrawAxis(PetscViewer viewer,PetscInt windownumber,PetscDrawAxis *drawaxis)

Not Collective (but PetscDrawAxis object will be parallel if PetscViewer is)

### Input Parameter

| viewer | - the PetscViewer (created with PetscViewerDrawOpen()
| windownumber | - indicates which subwindow (usually 0)

### Ouput Parameter

drawaxis -the draw axis object

### See Also

PetscViewerDrawGetDraw(), PetscViewerDrawGetLG(), PetscViewerDrawOpen()

Level:advanced
Location:src/sys/classes/viewer/impls/draw/drawv.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages